Update Note
curl --request PUT \
--url https://mortgage-crm.universal.rollout.com/api/notes/{id} \
--header 'Content-Type: application/json' \
--data '
{
"personId": "<string>",
"assignedUserId": "<string>",
"subject": "<string>",
"body": "<string>",
"isHtml": true
}
'import requests
url = "https://mortgage-crm.universal.rollout.com/api/notes/{id}"
payload = {
"personId": "<string>",
"assignedUserId": "<string>",
"subject": "<string>",
"body": "<string>",
"isHtml": True
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
personId: '<string>',
assignedUserId: '<string>',
subject: '<string>',
body: JSON.stringify('<string>'),
isHtml: true
})
};
fetch('https://mortgage-crm.universal.rollout.com/api/notes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"personId": "<string>",
"assignedUserId": "<string>",
"createdByUserId": "<string>",
"updatedByUserId": "<string>",
"subject": "<string>",
"body": "<string>",
"isHtml": true,
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Notes
Update Note
PUT /notes/
PUT
/
notes
/
{id}
Update Note
PUT /notes/{id}
Base URL: https://mortgage-crm.universal.rollout.com/api
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | Yes |
Responses
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
404 | Not Found |
409 | Conflict |
OpenAPI Source
/openapi/mortgage-crm.json PUT /notes/{id}Path Parameters
Body
application/jsonmultipart/form-datatext/plain
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I